Update a video's caption and hashtags
curl --request PATCH \
--url https://api.lumisreach.com/api/v1/videos/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caption": "<string>",
"hashtags": [
"<string>"
]
}
'import requests
url = "https://api.lumisreach.com/api/v1/videos/{id}"
payload = {
"caption": "<string>",
"hashtags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({caption: '<string>', hashtags: ['<string>']})
};
fetch('https://api.lumisreach.com/api/v1/videos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumisreach.com/api/v1/videos/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'caption' => '<string>',
'hashtags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lumisreach.com/api/v1/videos/{id}"
payload := strings.NewReader("{\n \"caption\": \"<string>\",\n \"hashtags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.lumisreach.com/api/v1/videos/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"caption\": \"<string>\",\n \"hashtags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumisreach.com/api/v1/videos/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"caption\": \"<string>\",\n \"hashtags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": "unsubmitted",
"template": "ai_videographer",
"preset": "<string>",
"format": "vertical",
"duration_seconds": 123,
"video_url": "<string>",
"thumbnail_url": "<string>",
"billed_cents": 0,
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"posts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "tiktok",
"status": "scheduled",
"media_type": "video",
"permalink": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"price_cents": 0,
"price_estimated": true,
"script_approved": true,
"user_script": true,
"script": "<string>",
"script_sections": [
{
"label": "<string>",
"text": "<string>"
}
],
"scenes": [
{
"id": "<string>",
"label": "<string>",
"duration_seconds": 123,
"voiceover": "<string>",
"caption": "<string>",
"prompt": "<string>"
}
],
"slides": [
{
"id": "<string>",
"role": "<string>",
"headline": "<string>",
"body": "<string>",
"position": "<string>",
"prompt": "<string>",
"image_url": "<string>"
}
],
"interview": {
"speakers": [
{
"id": "<string>",
"role": "<string>",
"face_name": "<string>"
}
],
"turns": [
{
"id": "<string>",
"speaker_id": "<string>",
"text": "<string>"
}
]
},
"caption": "<string>",
"hashtags": [
"<string>"
],
"post_caption": "<string>",
"music": {
"library": "lumisreach",
"track_id": "<string>",
"title": "<string>",
"status": "pending"
},
"brief": "<string>",
"language": "<string>",
"source_url": "<string>",
"target_duration_seconds": 0,
"avatar_provider": "heygen",
"avatar_layout": "center",
"background_mode": "static",
"subtitle_style": "none",
"subtitle_emojis": true,
"video_model": "<string>",
"videographer": {
"sources": [
"any"
],
"model": "<string>",
"actions": 0,
"presenter_narrates": true
},
"narration": 0,
"post_format": "text",
"post_orientation": "square",
"dashboard_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Videos
Update a video's caption and hashtags
Change the caption and hashtags a video’s posts start from. For a slideshow post the caption is the post’s text, so this is how you edit a post’s words. Send either or both; the one left out keeps what it has. Posts already published are not changed. Nothing is made again. Free.
PATCH
/
v1
/
videos
/
{id}
Update a video's caption and hashtags
curl --request PATCH \
--url https://api.lumisreach.com/api/v1/videos/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caption": "<string>",
"hashtags": [
"<string>"
]
}
'import requests
url = "https://api.lumisreach.com/api/v1/videos/{id}"
payload = {
"caption": "<string>",
"hashtags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({caption: '<string>', hashtags: ['<string>']})
};
fetch('https://api.lumisreach.com/api/v1/videos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lumisreach.com/api/v1/videos/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'caption' => '<string>',
'hashtags' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lumisreach.com/api/v1/videos/{id}"
payload := strings.NewReader("{\n \"caption\": \"<string>\",\n \"hashtags\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.lumisreach.com/api/v1/videos/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"caption\": \"<string>\",\n \"hashtags\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lumisreach.com/api/v1/videos/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"caption\": \"<string>\",\n \"hashtags\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"status": "unsubmitted",
"template": "ai_videographer",
"preset": "<string>",
"format": "vertical",
"duration_seconds": 123,
"video_url": "<string>",
"thumbnail_url": "<string>",
"billed_cents": 0,
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"posts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "tiktok",
"status": "scheduled",
"media_type": "video",
"permalink": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"price_cents": 0,
"price_estimated": true,
"script_approved": true,
"user_script": true,
"script": "<string>",
"script_sections": [
{
"label": "<string>",
"text": "<string>"
}
],
"scenes": [
{
"id": "<string>",
"label": "<string>",
"duration_seconds": 123,
"voiceover": "<string>",
"caption": "<string>",
"prompt": "<string>"
}
],
"slides": [
{
"id": "<string>",
"role": "<string>",
"headline": "<string>",
"body": "<string>",
"position": "<string>",
"prompt": "<string>",
"image_url": "<string>"
}
],
"interview": {
"speakers": [
{
"id": "<string>",
"role": "<string>",
"face_name": "<string>"
}
],
"turns": [
{
"id": "<string>",
"speaker_id": "<string>",
"text": "<string>"
}
]
},
"caption": "<string>",
"hashtags": [
"<string>"
],
"post_caption": "<string>",
"music": {
"library": "lumisreach",
"track_id": "<string>",
"title": "<string>",
"status": "pending"
},
"brief": "<string>",
"language": "<string>",
"source_url": "<string>",
"target_duration_seconds": 0,
"avatar_provider": "heygen",
"avatar_layout": "center",
"background_mode": "static",
"subtitle_style": "none",
"subtitle_emojis": true,
"video_model": "<string>",
"videographer": {
"sources": [
"any"
],
"model": "<string>",
"actions": 0,
"presenter_narrates": true
},
"narration": 0,
"post_format": "text",
"post_orientation": "square",
"dashboard_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Authorizations
Headers
Body
application/json